> ## Documentation Index
> Fetch the complete documentation index at: https://pwapi.uuwallet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get KYC Token

## Interface Description

PowerCard integrates with Sumsub KYC. When the frontend launches the KYC WebSDK, it needs to obtain the corresponding token. This interface is used to get the token. For detailed documentation, refer to [Sumsub WebSDK](https://docs.sumsub.com/docs/get-started-with-web-sdk) integration documentation.
KYC verification requires calling this interface to obtain the KYC TOKEN.
<Note>For card products that require KYC verification, cards can be created directly after successful KYC verification.\
For card products that do not require KYC verification, this step can be skipped, but users must be created.</Note>


## OpenAPI

````yaml en POST /kyc/getKYCToken
openapi: 3.1.0
info:
  title: powercard-api
  description: ''
  version: 1.0.0
servers:
  - url: http://dev-cn.your-api-server.com
    description: 开发环境
security: []
tags: []
paths:
  /kyc/getKYCToken:
    post:
      tags: []
      summary: kyc获取token
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KYCTokenRequest'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommonResultKYCTokenResponse'
              example:
                success: false
                errorCode: ''
                errorMessage: ''
                errorMessageEn: ''
                detailMessage: ''
                requestId: ''
                data:
                  token: ''
                  powerCardUserId: ''
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    KYCTokenRequest:
      type: object
      properties:
        merchantId:
          type: string
          description: 商户id
        merchantUserId:
          type: string
          description: 商户对应用户id
        channel:
          type: string
          description: 渠道
      required:
        - merchantId
        - merchantUserId
        - channel
    CommonResultKYCTokenResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 是否业务处理成功
          default: false
        errorCode:
          type: string
          description: 错误码
        errorMessage:
          type: string
          description: 错误信息
        errorMessageEn:
          type: string
          description: 英文错误信息
        detailMessage:
          type: string
          description: 详细信息
        requestId:
          type: string
          description: 請求uuid
        data:
          $ref: '#/components/schemas/KYCTokenResponse'
          description: 结果数据
    KYCTokenResponse:
      type: object
      properties:
        token:
          type: string
          description: token
        powerCardUserId:
          type: string
          description: powerCard用户id
      required:
        - token
        - powerCardUserId

````